=== debian/changelog ===
gnuradio (3.8.2.0-14) unstable; urgency=medium

  * fixup thrift example handling for arch all

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 18 Jan 2021 16:52:00 -0500

gnuradio (3.8.2.0-13) unstable; urgency=medium

  * update to v3.8.2.0-53-gc42a162b9
  * fixup thrift example installation

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 14 Jan 2021 19:39:06 -0500

gnuradio (3.8.2.0-12) unstable; urgency=medium

  * update to v3.8.2.0-41-gcaca1219b: msg_handler-Use-lambdas
  * use the UTC timezone for reproducible BUILD_DATE timestamp
    Thanks vagrant! (Closes: #977424)
  * grc-setup-freedesktop not-installed - redundant to Debian packaging
    (Closes: #977425)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 13 Jan 2021 23:27:39 -0500

gnuradio (3.8.2.0-11) unstable; urgency=medium

  * update to v3.8.2.0-25-g3b0825655
  * default to using x-terminal-emulator instead of xterm
  * CMake & Doxygen cleanups

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 07 Dec 2020 21:42:43 -0500

gnuradio (3.8.2.0-10) unstable; urgency=medium

  * Fix compilation against boost_1.74. (Closes: #975350)
    Thanks Anton!
  * cherry pick more upstream bug fixes:
    backported more-dot-graph-max-nodes
    backported qtgui-Resize-the-windows-properly-in-gui-sink
    backported Add-test-to-postinstall-only-if-testing-is-enabled
    backported Do-not-disable-boost-if-only-the-unit_test_framework
    audio: raise nperiods for alsa source/sink, issue 3798
    Fix-drag-n-drop-issue, issue 2727
    cmake-Fix-variable-substitution-in-pkg-config, issue 3969
    filter_design-python3-exception, issue 3951

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 06 Dec 2020 23:32:04 -0500

gnuradio (3.8.2.0-9) unstable; urgency=medium

  * update to v3.8.2.0-19-gba493519c
    refactor and send upstream RPC-fixes-to-allow-using-Thrift-0.13
    refactor and apply cppgen-Add-C-generation-support-to-gr-vocoder
    spelling patch submitted upstream
    backported Add example flowgraphs for Stream Mux Demux
    backported cppgen Update to modern CMake
    backported WFM tools proper integer div decimation
    backported Fix qa_fast_atan2f test code

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 15 Nov 2020 20:57:08 -0500

gnuradio (3.8.2.0-8) unstable; urgency=medium

  * add thrift-compiler to gnuradio-dev dependencies
    (Closes: #973008, #973007, #973213)
  * Restore thrift on armel

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 27 Oct 2020 06:14:45 -0400

gnuradio (3.8.2.0-7) unstable; urgency=medium

  * no thrift on armel

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 25 Oct 2020 22:18:22 -0400

gnuradio (3.8.2.0-6) unstable; urgency=medium

  * conditional install of thrift example

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 25 Oct 2020 13:43:11 -0400

gnuradio (3.8.2.0-5) unstable; urgency=medium

  * update to v3.8.2.0-12-gdbc8ad7e7
    - reenables vocoder blocks in menu
  * Enable thrift gr-ctrlport (Closes: #890339)
  * add appstream metadata
  * Fix and add C++ templates to vocoder freedv blocks
  * Include some upstream pull requests:
    3621: include appstream-metadata
    3468: qtgui : add eye sink widget
    3825: uhd: Update possible master_clock_rate
    3843: runtime: fix latency issue
    3869: RPC: fixes to allow using Thrift 0.9 through 0.12 
    3886: utils: Added print-all to gnuradio-config-info
    3770: grc: ensure that strings are valid utf8 when evaluating parameters
    3767: grc: Remove extra logger in grc/core/platform
    3547: cmake: use TIMESTAMP function to generate build_date

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 25 Oct 2020 07:05:20 -0400

gnuradio (3.8.2.0-4) unstable; urgency=medium

  * update to v3.8.2.0-9-gec5a638c2
  * fix gnuradio issue #2932 freedv modulator block
  * Add C++ templates to freedv blocks

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 15 Oct 2020 00:20:23 -0400

gnuradio (3.8.2.0-3) unstable; urgency=medium

  * update to v3.8.2.0-8-gb8328e2c9
    handle optional gsettings (Closes: #970496)
  * review 'import sip' usage (Closes: #966033)
  * remove html docs from gnuradio, skip installing xml docs

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 27 Sep 2020 18:28:38 -0400

gnuradio (3.8.2.0-2) unstable; urgency=medium

  * source-only upload for transition

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 08 Sep 2020 11:53:40 -0400

gnuradio (3.8.2.0-1) experimental; urgency=medium

  * New upstream release
    upload first to experimental due to SONAME bump.
  * update to v3.8.2.0-1-g28d1ad569
  * Call SWIG without -modern flag if new enough to make that inherent, thus
    removing warnings
  * GRC
    Mako templating now strict_undefined
    Show block comments by default
    dynamically updated block namespaces (execute imports from templates)
    Name-lookup detection of dark color themes, adjusted input box color scheme
  * gr-dtv
    dvb_bbscrambler: LUT 8B alignment (private, but relevant for future usable
    optimization)
  * Fixed:
  * GRC incorrect "clear console" and "save console" labels
    generator: flow_graph.py.mako now contains import for print_function for
    compatibility in Py2 generation
    variable_config.block.yml now properly handles configparser /
    ConfigParser import
    Change port types of all selected block on key-press cycling,
    not just first one
    Always check for Python version in flow graph generation,
    not only in specific block types
    Don't run stale flow graphs
    Prevent search keystrokes from modifying flowgraph
  * gr-blocks
    file_sink flushes contents to file on stop()
    file_meta_sink block YAML: emit proper default PMT dict
    XMLRPC client/server block templates: use Py3 XMLRPC when possible
  * gr-digital
    soft_dec_lut_gen now explicitly casts 2.0**prec to int
    map_bb: add missing definition of static constexpr size_t s_map_size
  * gr-dtv
    Reduce send_frame_size in UHD examples (broken after UHD v3.13.0.3-rc1)
  * gr-filter

