=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc% , uversionmangle=tr%-rc%~rc%" https://www.gnuradio.org/releases/gnuradio/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
